Bug 977974 - virt-install: give explicit descriptive error if default network not installed
virt-install: give explicit descriptive error if default network not installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 13:25 EDT by Konrad Rzeszutek Wilk
Modified: 2013-08-31 13:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 13:28:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Rzeszutek Wilk 2013-06-25 13:25:58 EDT
Description of problem:

In the past (F18) I believe when running virt-install on a freshly installed system the virt-install would use NAT and dnsmasq to setup a tunnel for a freshly launched guest. Not anymore.

Version-Release number of selected component (if applicable):
virt-install-0.10.0-0.5.gitde1695b2.fc19.noarch


How reproducible:

virt-install -l http://dl.fedoraproject.org/pub/alt/stage/19-RC1/Fedora/i386/ --ram 1024 --disk /dev/vg_guest/guest --name F18_64

Steps to Reproduce:
1. virt-install -l http://dl.fedoraproject.org/pub/alt/stage/19-RC1/Fedora/i386/ --ram 1024 --disk /dev/vg_guest/guest --name F18_64
2.
3.

Actual results:

WARNING  KVM acceleration not available, using 'qemu'
ERROR    Error in network device parameters: Virtual network 'default' does not exist: Network not found: no network with matching name 'default'

Expected results:
WARNING  KVM acceleration not available, using 'qemu'

Starting install...
Retrieving file .treeinfo...             

Additional info:
Comment 1 Cole Robinson 2013-06-25 14:02:09 EDT
You need to install libvirt-daemon-config-network and restart libvirtd. virt-install should warn about this better.
Comment 2 Konrad Rzeszutek Wilk 2013-06-26 11:52:44 EDT
Duh. Installing said rpm did indeed remove the warning.
x
Comment 3 Cole Robinson 2013-08-31 13:28:19 EDT
Actually, rather than add plumbing to give a warning about a distro specific package to install, we should just double down on recommending 'yum groupinstall Virtualization' which does the correct thing here. There are bigger fish to fry

Note You need to log in before you can comment on or make changes to this bug.